## edubuntu-docs 11.03.3

=== Makefile ===
####################################################################################           
# Makefile for the Ubuntu Documentation Website
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Ubuntu Docbook Customization Layer

INDEXCHUNKXSL=libs/index-html-chunk-cust.xsl

# Base gnome directories for output from processor
BASE=build/

website: index
	@echo "Building the Ubuntu Docs . . ."

	make -C ubuntu -f Makefile all

	@echo "Building the Kubuntu Docs . . ."

	make -C kubuntu -f Makefile all

	@echo "Building the Edubuntu Docs . . ."
	make -C edubuntu -f Makefile all

	@echo "Building the Index Page . . ."

index:

	xsltproc --stringparam root.filename "index" -o $(BASE) $(INDEXCHUNKXSL) website-index/C/website-index.xml
	cp libs/index.css $(BASE)

# This is an example target for translations, where "cc" is the country-code for the translation language.
index-cc:

	xsltproc --stringparam root.filename "index.cc" -o $(BASE) $(INDEXCHUNKXSL) website-index/cc/website-index.xml
	cp libs/index.css $(BASE)

=== edubuntu/Makefile ===
# Makefile for the GNOME ubuntu Documentation
# Ubuntu Documentation Project <ubuntu-doc@lists.ubuntu.com>

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

EDUXSL=libs/edubuntu-banner.xsl
HBXSL=libs/handbook-banner.xsl

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Base directories for output from processor
BASE=../build/edubuntu/

HBBASE=../build/edubuntu/handbook/

AEBASE=../build/edubuntu/about-edubuntu/

ESABASE=../build/edubuntu/school-advocacy/

IMAGES=../build/edubuntu/images/

# deb: used for creating package for Edubuntu documentation
deb:

# all: used for creating the markup for doc.ubuntu.com/edubuntu
all: clean style about esa hb 

# copy style sheet to build directory
	cp default.css $(BASE)

style:

# copy style sheet and common images to build directory
	mkdir -p ../build/edubuntu/
	cp libs/*css ../build/edubuntu/
	mkdir -p $(IMAGES)
	cp libs/img/*png $(IMAGES)
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	mkdir -p $(IMAGES)C	
	cp -r images/C/*.* $(IMAGES)C

# About Edubuntu Document
about:

	xsltproc --xinclude -o $(AEBASE)C/index.html $(EDUXSL) about-edubuntu/C/about-edubuntu.xml

# Edubuntu School Advocacy Pamphlet
esa:

	xsltproc --xinclude -o $(ESABASE)C/index.html $(EDUXSL) SchoolAdvocacy/C/school-advocacy.xml

# Edubuntu Handbook
hb:

	xsltproc --xinclude -o $(HBBASE)C/index.html $(HBXSL) handbook/C/handbook.xml

# Cleanup
clean:
	rm -rf $(BASE)*

## edubuntu-docs 0.7-1

=== debian/changelog ===
edubuntu-docs (0.7-1) feisty; urgency=low

  * Updated svn snapshot
    - install images
    - updated Handbook
    - removed Build-Depends-Indep as they are unneeded
    - updated translation templates

 -- Jordan Mantha <mantha@ubuntu.com>  Wed,  4 Apr 2007 19:25:11 -0700

edubuntu-docs (0.6-1) feisty; urgency=low

  * Updated svn snapshot
    - Added About Edubuntu menu item
    - Removed Release Notes
    - Added translation template
    - More Handbook content

 -- Jordan Mantha <mantha@ubuntu.com>  Tue, 27 Mar 2007 13:05:19 -0700

edubuntu-docs (0.5-1) feisty; urgency=low

  * Initial Feisty Release
    - new content: Handbook, School Advocacy
    - debian/copyright: Documentation is CC-by-SA 2.5
    - depends on ubuntu-docs

 -- Richard A. Johnson <nixternal@ubuntu.com>  Tue, 27 Feb 2007 13:42:01 -0600

edubuntu-docs (0.4-1) dapper; urgency=low

  * shrink all images 

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 18 May 2006 18:08:44 +0200

edubuntu-docs (0.3-1) dapper; urgency=low

  * new content (added the "getting started" guide and the
    thinclientconfig doc

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 18 May 2006 16:22:47 +0200

edubuntu-docs (0.2-1) dapper; urgency=low

  * cleaned the tarball, renamed the images and adjusted them to the 
    right size in the html code.
  * cleaned up the text.
  * remove empty README.Debian file
  * clean up copyright, add proper credits   

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 14:13:11 +0100

edubuntu-docs (0.1-1) dapper; urgency=low

  * Initial release

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 22 Feb 2006 18:24:57 +0100

=== debian/control ===
Source: edubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Daniel Holbach <daniel.holbach@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), cdbs
Standards-Version: 3.7.2

Package: edubuntu-docs
Architecture: all
Depends: scrollkeeper, ubuntu-docs
Recommends: yelp
Description: The Ubuntu Documentation Project - Edubuntu Documentation
 This package holds the official Edubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. It includes the Edubuntu Handbook, 
 About Edubuntu, Edubuntu Release Notes, and the School Advocacy Guide.
 The guides can be viewed using Yelp, the GNOME help browser.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = edubuntu

DEB_MAKE_BUILD_TARGET = deb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

# Omf files

	for doc in about-edubuntu handbook SchoolAdvocacy; do\
		mkdir -p debian/edubuntu-docs/usr/share/omf/$$doc/; \
		cp edubuntu/$$doc/C/*.omf debian/edubuntu-docs/usr/share/omf/$$doc/; \
	done; \

# Edubuntu documents
# handbook

	for doc in handbook; do \
		mkdir -p debian/edubuntu-docs/usr/share/gnome/help/edubuntu-$$doc/C/; \
		cp edubuntu/$$doc/C/*.xml debian/edubuntu-docs/usr/share/gnome/help/edubuntu-$$doc/C/; \
	done; \

# about-edubuntu & SchoolAdvocacy

	for doc in about-edubuntu SchoolAdvocacy; do \
		mkdir -p debian/edubuntu-docs/usr/share/gnome/help/$$doc/C/; \
		cp edubuntu/$$doc/C/*.xml debian/edubuntu-docs/usr/share/gnome/help/$$doc/C/; \
	done;

	dh_scrollkeeper

## edubuntu-docs 7.10.1

=== debian/changelog ===
edubuntu-docs (7.10.1) gutsy; urgency=low

  * Update svn snapshot (typo fixes)
  * Added in translations:
    - debian/rules: modify installation rule to install translations
    - removed translations that are less than 10% translated
  * Updated addon cd screenshots
  * Refreshed .pots

 -- Jordan Mantha <mantha@ubuntu.com>  Sat, 06 Oct 2007 20:25:19 -0700

edubuntu-docs (7.09.1) gutsy; urgency=low

  * Updated svn snapshot r4387
    - Much work on Handbook (Scott Balneaves and Matt Oquist)
    - Updated About Edubuntu (Jordan Mantha)

 -- Jordan Mantha <mantha@ubuntu.com>  Wed, 19 Sep 2007 22:45:31 -0700

edubuntu-docs (7.07.1) gutsy; urgency=low

  * Adopt versioning from ubuntu-docs
  * Fix spelling mistakes in Handbook:
    - closes LP: #110807
    - closes LP: #111271
    - closes LP: #111298
  * Rebuild updates release version (closes LP: #123884)
  * Updated translations in edubuntu-about.desktop

 -- Jordan Mantha <mantha@ubuntu.com>  Wed,  4 Jul 2007 18:32:36 -0700

=== debian/control ===
Source: edubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Jordan Mantha <mantha@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), cdbs
Standards-Version: 3.7.2

Package: edubuntu-docs
Architecture: all
Depends: scrollkeeper, ubuntu-docs
Recommends: yelp
Description: The Ubuntu Documentation Project - Edubuntu Documentation
 This package holds the official Edubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. It includes the Edubuntu Handbook, 
 About Edubuntu, and the School Advocacy Guide.
 .
 The guides can be viewed using Yelp, the GNOME help browser.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = edubuntu

DEB_MAKE_BUILD_TARGET = deb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

	set -x; for doc in about-edubuntu SchoolAdvocacy; do \
	     for lang in `ls edubuntu/$$doc/`; do \
	            if [ -e edubuntu/$$doc/$$lang/$$doc.xml ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
	                     cp edubuntu/$$doc/$$lang/*xml debian/edubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
	            fi; \
	            if [ -e edubuntu/$$doc/$$lang/*.omf ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/omf/$$doc; \
	                     cp edubuntu/$$doc/$$lang/*omf debian/edubuntu-docs/usr/share/omf/$$doc/; \
	            fi; \
	     done; \
	done;

	set -x; for doc in SchoolAdvocacy; do \
	     for lang in `ls edubuntu/$$doc/`; do \
	            if [ -e edubuntu/$$doc/$$lang/school-advocacy.xml ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
	                     cp edubuntu/$$doc/$$lang/*xml debian/edubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
	            fi; \
	            if [ -e edubuntu/$$doc/$$lang/*.omf ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/omf/$$doc; \
	                     cp edubuntu/$$doc/$$lang/*omf debian/edubuntu-docs/usr/share/omf/$$doc/; \
	            fi; \
	     done; \
	done;

	set -x; for doc in handbook; do \
	     for lang in `ls edubuntu/$$doc/`; do \
	            if [ -e edubuntu/$$doc/$$lang/$$doc.xml ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/gnome/help/edubuntu-$$doc/$$lang/; \
	                     cp edubuntu/$$doc/$$lang/*xml debian/edubuntu-docs/usr/share/gnome/help/edubuntu-$$doc/$$lang/; \
	            fi; \
	            if [ -e edubuntu/$$doc/$$lang/*.omf ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/omf/$$doc; \
	                     cp edubuntu/$$doc/$$lang/*omf debian/edubuntu-docs/usr/share/omf/$$doc/; \
	            fi; \
	     done; \
	done;

	dh_scrollkeeper

## edubuntu-docs 8.04.1

=== debian/changelog ===
edubuntu-docs (8.04.1) hardy; urgency=low

  * Updated translations. Should be last upload for Hardy.

 -- Jordan Mantha <mantha@ubuntu.com>  Fri, 11 Apr 2008 12:27:11 -0700

edubuntu-docs (8.03.2) hardy; urgency=low

  * Brown-paper-bag release (Closes LP: #207398):
    - regenerate .pot so that we get the right month/year for Hardy release
      Thanks to Giorgio Catanzaro for pointing it out.

 -- Jordan Mantha <mantha@ubuntu.com>  Thu, 27 Mar 2008 01:08:11 -0700

edubuntu-docs (8.03.1) hardy; urgency=low

  * First Hardy upload (Closes LP: #197138)
  * Not shipping Edubuntu Handbook for Hardy
  * Only install image files for About Edubuntu
  * Added in translations for About Edubuntu and .desktop
  * Refreshed .pots
  * Bump standards version to 3.7.3

 -- Jordan Mantha <mantha@ubuntu.com>  Tue, 25 Mar 2008 22:22:37 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
 Uploaders: Jordan Mantha <mantha@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.0), cdbs
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: edubuntu-docs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn
DEB_DH_BUILDDEB_ARGS := -- -Z bzip2

DEB_SRCDIR = edubuntu

DEB_MAKE_BUILD_TARGET = deb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

	set -x; for doc in about-edubuntu; do \
	     for lang in `ls edubuntu/$$doc/`; do \
	            if [ -e edubuntu/$$doc/$$lang/$$doc.xml ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
	                     cp edubuntu/$$doc/$$lang/*xml debian/edubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
	            fi; \
	            if [ -e edubuntu/$$doc/$$lang/*.omf ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/omf/$$doc; \
	                     cp edubuntu/$$doc/$$lang/*omf debian/edubuntu-docs/usr/share/omf/$$doc/; \
	            fi; \
	     done; \
	done;

#	set -x; for doc in handbook; do \
#	     for lang in `ls edubuntu/$$doc/`; do \
#	            if [ -e edubuntu/$$doc/$$lang/$$doc.xml ]; then \
#	                     mkdir -p debian/edubuntu-docs/usr/share/gnome/help/edubuntu-$$doc/$$lang/; \
#	                     cp edubuntu/$$doc/$$lang/*xml debian/edubuntu-docs/usr/share/gnome/help/edubuntu-$$doc/$$lang/; \
#	            fi; \
#	            if [ -e edubuntu/$$doc/$$lang/*.omf ]; then \
#	                     mkdir -p debian/edubuntu-docs/usr/share/omf/$$doc; \
#	                     cp edubuntu/$$doc/$$lang/*omf debian/edubuntu-docs/usr/share/omf/$$doc/; \
#	            fi; \
#	     done; \
#	done;

	dh_scrollkeeper

## edubuntu-docs 9.04.1ubuntu1

=== debian/changelog ===
edubuntu-docs (9.04.1ubuntu1) jaunty; urgency=low

  * Don't install edubuntu .ent files, move inline (Closes LP: #353288)
  * Refresh .pots
  * Resynced libs/global.ent
  * Refreshed translations

 -- Jordan Mantha <laserjock@ubuntu.com>  Fri, 03 Apr 2009 12:22:45 -0700

## edubuntu-docs 9.10.1

=== debian/changelog ===
edubuntu-docs (9.10.1) karmic; urgency=low

  * Update for Karmic

 -- Jordan Mantha <laserjock@ubuntu.com>  Wed, 14 Oct 2009 23:14:45 -0400

## edubuntu-docs 11.03.1

=== debian/changelog ===
edubuntu-docs (11.03.1) natty; urgency=low

  * Change About Edubuntu icon to edubuntu-logo

 -- Jonathan Carter <jonathan@ubuntu.com>  Thu, 03 Mar 2011 16:13:07 -0500

## edubuntu-docs 11.03.2

=== debian/changelog ===
edubuntu-docs (11.03.2) raring; urgency=low

  * Add ${misc:Depends} Depends since Debhelper is used. 

 -- Benjamin Kerensa <bkerensa@ubuntu.com>  Wed, 21 Nov 2012 14:12:10 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: edubuntu-docs
 Architecture: all
-Depends: scrollkeeper, ubuntu-docs
+Depends: scrollkeeper, ubuntu-docs, ${misc:Depends}
 Recommends: yelp
 Description: The Ubuntu Documentation Project - Edubuntu Documentation
  This package holds the official Edubuntu-specific documentation, maintained

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
-DEB_DH_INSTALL_ARGS = -X.svn
+DEB_DH_INSTALL_ARGS = -X.bzr
 DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
 
 DEB_SRCDIR = edubuntu

## edubuntu-docs 11.03.3

=== debian/changelog ===
edubuntu-docs (11.03.3) artful; urgency=medium

  * Drop obsolete dependency on scrollkeeper
  * Bump debhelper compat to 10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 Oct 2017 11:53:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: edubuntu-docs
-Section: text
+Section: doc
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
 Uploaders: Jordan Mantha <mantha@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.0), cdbs
+Build-Depends: debhelper (>= 10), cdbs
 Standards-Version: 3.7.3
 
 Package: edubuntu-docs
 Architecture: all
-Depends: scrollkeeper, ubuntu-docs, ${misc:Depends}
+Depends: ubuntu-docs, ${misc:Depends}
 Recommends: yelp
 Description: The Ubuntu Documentation Project - Edubuntu Documentation
  This package holds the official Edubuntu-specific documentation, maintained

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.bzr

DEB_SRCDIR = edubuntu

DEB_MAKE_BUILD_TARGET = deb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:

	set -x; for doc in about-edubuntu; do \
	     for lang in `ls edubuntu/$$doc/`; do \
	            if [ -e edubuntu/$$doc/$$lang/$$doc.xml ]; then \
	                     mkdir -p debian/edubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
	                     cp edubuntu/$$doc/$$lang/*xml debian/edubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
	            fi; \
	     done; \
	done;

#	set -x; for doc in handbook; do \
#	     for lang in `ls edubuntu/$$doc/`; do \
#	            if [ -e edubuntu/$$doc/$$lang/$$doc.xml ]; then \
#	                     mkdir -p debian/edubuntu-docs/usr/share/gnome/help/edubuntu-$$doc/$$lang/; \
#	                     cp edubuntu/$$doc/$$lang/*xml debian/edubuntu-docs/usr/share/gnome/help/edubuntu-$$doc/$$lang/; \
#	            fi; \
#	     done; \
#	done;

## edubuntu-docs 11.03.3build1

=== debian/changelog ===
edubuntu-docs (11.03.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 23 Nov 2025 19:22:36 +0000
